Write-Host "Java compiler version:"
javac -version
Write-Host "`nStarting configuration:"
tree /A /F
Start-Sleep -s 1
javac -d PRODUCTION_SOFTWARE --module-path Module_library `
--module-source-path . `
Module_A/com/franckbarbier/package_1/A.java Module_A/module-info.java `
Module_B/com/franckbarbier/package_2/B.java Module_B/module-info.java `
Main_module/com/franckbarbier/package_main/Main.java Main_module/module-info.java
Write-Host "'Build' ends..."
tree PRODUCTION_SOFTWARE /A /F
Start-Sleep -s 1
Write-Host "`nJava virtual machine version:"
& ($env:JAVA_HOME + "\bin\java") -version
Start-Sleep -s 1
Write-Host "`nExecution result:"
& ($env:JAVA_HOME + "\bin\java") -p Module_library`;PRODUCTION_SOFTWARE `
-m Main_module/com.franckbarbier.package_main.Main
Start-Sleep -s 1
Remove-Item -path PRODUCTION_SOFTWARE -recurse